Subject: [alpine-devel] [PATCH] Added package for tint2 in testing

From: Marian <[email-masked]>
Date: Sat, 4 Oct 2014 12:14:22 +0000

tint2 is a lightweight panel which plays nicely together with openbox.
---
 testing/tint2/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/tint2/APKBUILD

diff --git a/testing/tint2/APKBUILD b/testing/tint2/APKBUILD
new file mode 100644
index 0000000..e33c105
--- /dev/null
+++ b/testing/tint2/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: mari (dot) hahn (at) wwu (dot) de
+pkgname=tint2
+pkgver=0.11
+pkgrel=0
+pkgdesc="tint2 is a simple panel/taskbar unintrusive and light"
+url="http://code.google.com/p/tint2/"
+arch="all"
+license="GPL2"
+depends="imlib2 glib pango cairo libxcomposite libxdamage libxinerama libxrandr gtk+"
+depends_dev="cmake imlib2-dev glib-dev pango-dev cairo-dev libxcomposite-dev libxdamage-dev libxinerama-dev libxrandr-dev gtk+-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://tint2.googlecode.com/files/${pkgname}-${pkgver}.tar.bz2"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "${_builddir}"
+	cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr . || return 1
+	make || return 1
+}
+
+package() {
+	cd "${_builddir}"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="6fc5731e7425125fa84a2add5cef4bff  tint2-0.11.tar.bz2"
+sha256sums="fe106e6a6057d2631abddde9f82d3fd4fb1985c4fb93f10d3886417a9e22471d  tint2-0.11.tar.bz2"
+sha512sums="db88c17780d24b82badbedbce4518d736dfcb2a730ff500bcb36f2b32f65271c2424f0c2a34981f9d3af033b84252db0c8217e2dd7ca57f9a0eadbc98796115c  tint2-0.11.tar.bz2"
-- 
2.0.0

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---